%define anolis_release 8
Name:           perl-Test-Exception
Version:        0.43
Release:        %{anolis_release}%{?dist}
Summary:        Library of test functions for exception based Perl code
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-Exception/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EX/EXODIST/Test-Exception-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Uplevel) >= 0.18
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(overload)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
# Runtime
Requires:       perl(Carp)

# Avoid bogus perl(DB) provide
%{?perl_default_filter}

%description
This module provides a few convenience methods for testing exception
based code. It is built with Test::Builder and plays happily with
Test::More and friends.

%package doc
Summary: Documents for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%setup -q -n Test-Exception-%{version}

# Remove unnecessary exec permissions
chmod -c -x Changes

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Exception.3*

%files doc
%doc Changes

%changelog
* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 0.43-8
- Import package for anolis 23
